package com.pcloud.common.core.dto;

import java.io.Serializable;
import java.util.Map;

public class SendAppMessageDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -5037919591927844509L;

	/**
	 * 注册ID
	 */
	private String registrationId;
	
	/**
	 * 编辑ID
	 */
	private Long adviserId;
	
	/**
	 * 发送类型
	 */
	private String typeCode;
	/**
	 * 是否为即时
	 */
	private Boolean isNow;
	/**
	 * 模板参数
	 */
	private Map<String, Object> paramKeyMap;
	
	public String getRegistrationId() {
		return registrationId;
	}
	public void setRegistrationId(String registrationId) {
		this.registrationId = registrationId;
	}
	
	public Long getAdviserId() {
		return adviserId;
	}
	public void setAdviserId(Long adviserId) {
		this.adviserId = adviserId;
	}
	public String getTypeCode() {
		return typeCode;
	}
	public void setTypeCode(String typeCode) {
		this.typeCode = typeCode;
	}
	public Map<String, Object> getParamKeyMap() {
		return paramKeyMap;
	}
	public void setParamKeyMap(Map<String, Object> paramKeyMap) {
		this.paramKeyMap = paramKeyMap;
	}
	public Boolean getIsNow() {
		return isNow;
	}
	public void setIsNow(Boolean isNow) {
		this.isNow = isNow;
	}
	@Override
	public String toString() {
		return "SendAppMessageDto [registrationId=" + registrationId + ", adviserId=" + adviserId + ", typeCode="
				+ typeCode + ", isNow=" + isNow + ", paramKeyMap=" + paramKeyMap + "]";
	}
	
	
	
}
